> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmateo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Contact Custom Field

> Create a new contact custom field



## OpenAPI

````yaml post /contact_custom_field
openapi: 3.1.0
info:
  title: Mateo API
  description: The official API for Mateo
  version: 1.0.0
servers:
  - url: https://integration.getmateo.com/api/v1
security:
  - bearerAuth: []
externalDocs:
  description: Documentation for Mateo API
  url: https://docs.getmateo.com
paths:
  /contact_custom_field:
    post:
      tags:
        - Contact Custom Field
      summary: Create Contact Custom Field
      description: Create a new contact custom field
      parameters:
        - name: select
          in: query
          description: Filtering Columns
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/contact_custom_field'
        description: contact_custom_field
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/contact_custom_field'
          description: The updated Contact Custom Field object
        '201':
          content:
            application/json:
              schema:
                oneOf:
                  - $ref: '#/components/schemas/contact_custom_field'
                    title: Contact Custom Field
                  - title: Empty
                    type: object
                    properties: {}
          description: The Contact Custom Field was created
        '204':
          content: {}
          description: No Content
components:
  schemas:
    contact_custom_field:
      type: object
      properties:
        contact_id:
          type: string
          description: Contact ID
          format: uuid
        custom_field_id:
          type: string
          description: Custom field ID
          format: uuid
        created_at:
          type: string
          description: Contact custom field creation date
          format: timestamp with time zone
          default: now()
        updated_at:
          type: string
          description: Latest update
          format: timestamp with time zone
          default: now()
        organisation_id:
          type: string
          description: Organisation ID
          format: uuid
        key:
          type: string
          description: Contact custom field key
          format: text
        value:
          type: string
          description: Value of contact custom field
          format: text
          nullable: true
        date_value:
          type: string
          description: Date value
          format: date
          nullable: true
        string_value:
          type: string
          description: String value
          format: text
          nullable: true
        number_value:
          type: number
          description: Number value
          format: numeric
          nullable: true
        boolean_value:
          type: boolean
          description: Boolean value
          format: boolean
          nullable: true
        datetime_value:
          type: string
          description: Datetime value
          format: timestamp with time zone
          nullable: true
        string_list_value:
          type: array
          description: String list value
          items:
            type: string
          nullable: true
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````